Package org.apache.sling.models.annotations

# Annotation Interface Via

@Target({FIELD,METHOD,PARAMETER}) @Retention(RUNTIME) public @interface Via
Indicate that this injection point should be handled using some value derived from the adaptable.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<? extends ViaProviderType>`
`type`
The specific ViaProvider which will handle retrieval of the adaptable.
`String`
`value`
A string value which the via provider uses to determine the correct adaptable.

## Element Details

### value

String value
A string value which the via provider uses to determine the correct adaptable.

Returns:
  Via name

Default:
  ""

### type

Class<? extends ViaProviderType> type
The specific ViaProvider which will handle retrieval of the adaptable.

Returns:
  Provider class

Default:
  org.apache.sling.models.annotations.via.BeanProperty.class